# [name]

An exporter for `EXR`.
EXR ( Extended Dynamic Range) is an open format specification for professional-grade image storage format of the motion picture industry. The purpose of format is to accurately and efficiently represent high-dynamic-range scene-linear image data and associated metadata. The library is widely used in host application software where accuracy is critical, such as photorealistic rendering, texture access, image compositing, deep compositing, and DI.

## Code Example

`// Instantiate a exporter const exporter = new EXRExporter(); // Parse the input render target data and generate the EXR output const EXR = exporter.parse( renderer, renderTarget, options ); downloadFile( EXR );`

## Constructor

### [name]()

Creates a new [name].

## Methods

### [method:null parse]( [param:WebGLRenderer renderer], [param:WebGLRenderTarget renderTarget], [param:Object options] )

[page:Function renderTarget] — WebGLRenderTarget containing data used for exporting EXR image.
[page:Options options] — Export options.

- type - Output datatype for internal EXR data. Available options:
  `THREE.HalfFloatType // default option THREE.FloatType`
- compression - Internal compression algorithm. Available options:
  `NO_COMPRESSION ZIP_COMPRESSION // default option ZIPS_COMPRESSION`

Generates a .exr output from the input render target.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/exporters/EXRExporter.js examples/jsm/exporters/EXRExporter.js]